version: "2"
services:
    server:
        build: .
        command: ["node_modules/.bin/nodemon", "--inspect=0.0.0.0:9229", "dist/server.js"]
        volumes:
            - .:/app
            - /app/node_modules
        ports:
            - "3000:3000"
            - "9229:9229"
        environment:
            - datastores__acl__url=mongodb://acl/
            - datastores__cache__url=redis://cache
            - datastores__mongodb__url=mongodb://mongodb/
            - NODE_ENV=dev
        links:
            - acl
            - cache
            - mongodb
    acl:
        image: mongo
    cache:
        image: redis
    mongodb:
        image: mongo
